com.genesyslab.wfm8.API.service.config852

## Class CfgAuditField

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgAuditField

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAuditField
      extends java.lang.Object
      implements java.io.Serializable

  Audit Field
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `wmField`
    `protected double` | `wmNewValueDateTime`
    `protected double` | `wmNewValueFloat`
    `protected boolean` | `wmNewValueFloatIsNull`
    `protected int` | `wmNewValueInt`
    `protected boolean` | `wmNewValueIntIsNull`
    `protected java.lang.String` | `wmNewValueVChar`
    `protected double` | `wmOldValueDateTime`
    `protected double` | `wmOldValueFloat`
    `protected boolean` | `wmOldValueFloatIsNull`
    `protected int` | `wmOldValueInt`
    `protected boolean` | `wmOldValueIntIsNull`
    `protected java.lang.String` | `wmOldValueVChar`
    `protected java.lang.String` | `wmRef2Field`
    `protected java.lang.String` | `wmRef2Table`
    `protected int` | `wmRef2ValueInt`
    `protected boolean` | `wmRef2ValueIntIsNull`
    `protected java.lang.String` | `wmRef2ValueVChar`
    `protected java.lang.String` | `wmRefField`
    `protected java.lang.String` | `wmRefTable`
    `protected int` | `wmRefValueInt`
    `protected boolean` | `wmRefValueIntIsNull`
    `protected java.lang.String` | `wmRefValueVChar`
    `protected java.lang.String` | `wmTable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAuditField()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getWmField()` Gets the value of the wmField property.
    `double` | `getWmNewValueDateTime()` Gets the value of the wmNewValueDateTime property.
    `double` | `getWmNewValueFloat()` Gets the value of the wmNewValueFloat property.
    `int` | `getWmNewValueInt()` Gets the value of the wmNewValueInt property.
    `java.lang.String` | `getWmNewValueVChar()` Gets the value of the wmNewValueVChar property.
    `double` | `getWmOldValueDateTime()` Gets the value of the wmOldValueDateTime property.
    `double` | `getWmOldValueFloat()` Gets the value of the wmOldValueFloat property.
    `int` | `getWmOldValueInt()` Gets the value of the wmOldValueInt property.
    `java.lang.String` | `getWmOldValueVChar()` Gets the value of the wmOldValueVChar property.
    `java.lang.String` | `getWmRef2Field()` Gets the value of the wmRef2Field property.
    `java.lang.String` | `getWmRef2Table()` Gets the value of the wmRef2Table property.
    `int` | `getWmRef2ValueInt()` Gets the value of the wmRef2ValueInt property.
    `java.lang.String` | `getWmRef2ValueVChar()` Gets the value of the wmRef2ValueVChar property.
    `java.lang.String` | `getWmRefField()` Gets the value of the wmRefField property.
    `java.lang.String` | `getWmRefTable()` Gets the value of the wmRefTable property.
    `int` | `getWmRefValueInt()` Gets the value of the wmRefValueInt property.
    `java.lang.String` | `getWmRefValueVChar()` Gets the value of the wmRefValueVChar property.
    `java.lang.String` | `getWmTable()` Gets the value of the wmTable property.
    `int` | `hashCode()`
    `boolean` | `isWmNewValueFloatIsNull()` Gets the value of the wmNewValueFloatIsNull property.
    `boolean` | `isWmNewValueIntIsNull()` Gets the value of the wmNewValueIntIsNull property.
    `boolean` | `isWmOldValueFloatIsNull()` Gets the value of the wmOldValueFloatIsNull property.
    `boolean` | `isWmOldValueIntIsNull()` Gets the value of the wmOldValueIntIsNull property.
    `boolean` | `isWmRef2ValueIntIsNull()` Gets the value of the wmRef2ValueIntIsNull property.
    `boolean` | `isWmRefValueIntIsNull()` Gets the value of the wmRefValueIntIsNull property.
    `void` | `setWmField(java.lang.String value)` Sets the value of the wmField property.
    `void` | `setWmNewValueDateTime(double value)` Sets the value of the wmNewValueDateTime property.
    `void` | `setWmNewValueFloat(double value)` Sets the value of the wmNewValueFloat property.
    `void` | `setWmNewValueFloatIsNull(boolean value)` Sets the value of the wmNewValueFloatIsNull property.
    `void` | `setWmNewValueInt(int value)` Sets the value of the wmNewValueInt property.
    `void` | `setWmNewValueIntIsNull(boolean value)` Sets the value of the wmNewValueIntIsNull property.
    `void` | `setWmNewValueVChar(java.lang.String value)` Sets the value of the wmNewValueVChar property.
    `void` | `setWmOldValueDateTime(double value)` Sets the value of the wmOldValueDateTime property.
    `void` | `setWmOldValueFloat(double value)` Sets the value of the wmOldValueFloat property.
    `void` | `setWmOldValueFloatIsNull(boolean value)` Sets the value of the wmOldValueFloatIsNull property.
    `void` | `setWmOldValueInt(int value)` Sets the value of the wmOldValueInt property.
    `void` | `setWmOldValueIntIsNull(boolean value)` Sets the value of the wmOldValueIntIsNull property.
    `void` | `setWmOldValueVChar(java.lang.String value)` Sets the value of the wmOldValueVChar property.
    `void` | `setWmRef2Field(java.lang.String value)` Sets the value of the wmRef2Field property.
    `void` | `setWmRef2Table(java.lang.String value)` Sets the value of the wmRef2Table property.
    `void` | `setWmRef2ValueInt(int value)` Sets the value of the wmRef2ValueInt property.
    `void` | `setWmRef2ValueIntIsNull(boolean value)` Sets the value of the wmRef2ValueIntIsNull property.
    `void` | `setWmRef2ValueVChar(java.lang.String value)` Sets the value of the wmRef2ValueVChar property.
    `void` | `setWmRefField(java.lang.String value)` Sets the value of the wmRefField property.
    `void` | `setWmRefTable(java.lang.String value)` Sets the value of the wmRefTable property.
    `void` | `setWmRefValueInt(int value)` Sets the value of the wmRefValueInt property.
    `void` | `setWmRefValueIntIsNull(boolean value)` Sets the value of the wmRefValueIntIsNull property.
    `void` | `setWmRefValueVChar(java.lang.String value)` Sets the value of the wmRefValueVChar property.
    `void` | `setWmTable(java.lang.String value)` Sets the value of the wmTable property.
    `java.lang.String` | `toString()`
    `CfgAuditField` | `withWmField(java.lang.String value)`
    `CfgAuditField` | `withWmNewValueDateTime(double value)`
    `CfgAuditField` | `withWmNewValueFloat(double value)`
    `CfgAuditField` | `withWmNewValueFloatIsNull(boolean value)`
    `CfgAuditField` | `withWmNewValueInt(int value)`
    `CfgAuditField` | `withWmNewValueIntIsNull(boolean value)`
    `CfgAuditField` | `withWmNewValueVChar(java.lang.String value)`
    `CfgAuditField` | `withWmOldValueDateTime(double value)`
    `CfgAuditField` | `withWmOldValueFloat(double value)`
    `CfgAuditField` | `withWmOldValueFloatIsNull(boolean value)`
    `CfgAuditField` | `withWmOldValueInt(int value)`
    `CfgAuditField` | `withWmOldValueIntIsNull(boolean value)`
    `CfgAuditField` | `withWmOldValueVChar(java.lang.String value)`
    `CfgAuditField` | `withWmRef2Field(java.lang.String value)`
    `CfgAuditField` | `withWmRef2Table(java.lang.String value)`
    `CfgAuditField` | `withWmRef2ValueInt(int value)`
    `CfgAuditField` | `withWmRef2ValueIntIsNull(boolean value)`
    `CfgAuditField` | `withWmRef2ValueVChar(java.lang.String value)`
    `CfgAuditField` | `withWmRefField(java.lang.String value)`
    `CfgAuditField` | `withWmRefTable(java.lang.String value)`
    `CfgAuditField` | `withWmRefValueInt(int value)`
    `CfgAuditField` | `withWmRefValueIntIsNull(boolean value)`
    `CfgAuditField` | `withWmRefValueVChar(java.lang.String value)`
    `CfgAuditField` | `withWmTable(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTable

          protected java.lang.String wmTable

    - #### wmField

          protected java.lang.String wmField

    - #### wmNewValueInt

          protected int wmNewValueInt

    - #### wmNewValueIntIsNull

          protected boolean wmNewValueIntIsNull

    - #### wmOldValueInt

          protected int wmOldValueInt

    - #### wmOldValueIntIsNull

          protected boolean wmOldValueIntIsNull

    - #### wmOldValueFloat

          protected double wmOldValueFloat

    - #### wmOldValueFloatIsNull

          protected boolean wmOldValueFloatIsNull

    - #### wmNewValueFloat

          protected double wmNewValueFloat

    - #### wmNewValueFloatIsNull

          protected boolean wmNewValueFloatIsNull

    - #### wmNewValueDateTime

          protected double wmNewValueDateTime

    - #### wmOldValueDateTime

          protected double wmOldValueDateTime

    - #### wmNewValueVChar

          protected java.lang.String wmNewValueVChar

    - #### wmOldValueVChar

          protected java.lang.String wmOldValueVChar

    - #### wmRefTable

          protected java.lang.String wmRefTable

    - #### wmRefField

          protected java.lang.String wmRefField

    - #### wmRefValueInt

          protected int wmRefValueInt

    - #### wmRefValueIntIsNull

          protected boolean wmRefValueIntIsNull

    - #### wmRefValueVChar

          protected java.lang.String wmRefValueVChar

    - #### wmRef2Table

          protected java.lang.String wmRef2Table

    - #### wmRef2Field

          protected java.lang.String wmRef2Field

    - #### wmRef2ValueInt

          protected int wmRef2ValueInt

    - #### wmRef2ValueIntIsNull

          protected boolean wmRef2ValueIntIsNull

    - #### wmRef2ValueVChar

          protected java.lang.String wmRef2ValueVChar

  - ### Constructor Detail

    - #### CfgAuditField

          public CfgAuditField()

  - ### Method Detail

    - #### getWmTable

          public java.lang.String getWmTable()

      Gets the value of the wmTable property.
      Returns:
        possible object is `String`

    - #### setWmTable

          public void setWmTable(java.lang.String value)

      Sets the value of the wmTable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmField

          public java.lang.String getWmField()

      Gets the value of the wmField property.
      Returns:
        possible object is `String`

    - #### setWmField

          public void setWmField(java.lang.String value)

      Sets the value of the wmField property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmNewValueInt

          public int getWmNewValueInt()

      Gets the value of the wmNewValueInt property.

    - #### setWmNewValueInt

          public void setWmNewValueInt(int value)

      Sets the value of the wmNewValueInt property.

    - #### isWmNewValueIntIsNull

          public boolean isWmNewValueIntIsNull()

      Gets the value of the wmNewValueIntIsNull property.

    - #### setWmNewValueIntIsNull

          public void setWmNewValueIntIsNull(boolean value)

      Sets the value of the wmNewValueIntIsNull property.

    - #### getWmOldValueInt

          public int getWmOldValueInt()

      Gets the value of the wmOldValueInt property.

    - #### setWmOldValueInt

          public void setWmOldValueInt(int value)

      Sets the value of the wmOldValueInt property.

    - #### isWmOldValueIntIsNull

          public boolean isWmOldValueIntIsNull()

      Gets the value of the wmOldValueIntIsNull property.

    - #### setWmOldValueIntIsNull

          public void setWmOldValueIntIsNull(boolean value)

      Sets the value of the wmOldValueIntIsNull property.

    - #### getWmOldValueFloat

          public double getWmOldValueFloat()

      Gets the value of the wmOldValueFloat property.

    - #### setWmOldValueFloat

          public void setWmOldValueFloat(double value)

      Sets the value of the wmOldValueFloat property.

    - #### isWmOldValueFloatIsNull

          public boolean isWmOldValueFloatIsNull()

      Gets the value of the wmOldValueFloatIsNull property.

    - #### setWmOldValueFloatIsNull

          public void setWmOldValueFloatIsNull(boolean value)

      Sets the value of the wmOldValueFloatIsNull property.

    - #### getWmNewValueFloat

          public double getWmNewValueFloat()

      Gets the value of the wmNewValueFloat property.

    - #### setWmNewValueFloat

          public void setWmNewValueFloat(double value)

      Sets the value of the wmNewValueFloat property.

    - #### isWmNewValueFloatIsNull

          public boolean isWmNewValueFloatIsNull()

      Gets the value of the wmNewValueFloatIsNull property.

    - #### setWmNewValueFloatIsNull

          public void setWmNewValueFloatIsNull(boolean value)

      Sets the value of the wmNewValueFloatIsNull property.

    - #### getWmNewValueDateTime

          public double getWmNewValueDateTime()

      Gets the value of the wmNewValueDateTime property.

    - #### setWmNewValueDateTime

          public void setWmNewValueDateTime(double value)

      Sets the value of the wmNewValueDateTime property.

    - #### getWmOldValueDateTime

          public double getWmOldValueDateTime()

      Gets the value of the wmOldValueDateTime property.

    - #### setWmOldValueDateTime

          public void setWmOldValueDateTime(double value)

      Sets the value of the wmOldValueDateTime property.

    - #### getWmNewValueVChar

          public java.lang.String getWmNewValueVChar()

      Gets the value of the wmNewValueVChar property.
      Returns:
        possible object is `String`

    - #### setWmNewValueVChar

          public void setWmNewValueVChar(java.lang.String value)

      Sets the value of the wmNewValueVChar property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmOldValueVChar

          public java.lang.String getWmOldValueVChar()

      Gets the value of the wmOldValueVChar property.
      Returns:
        possible object is `String`

    - #### setWmOldValueVChar

          public void setWmOldValueVChar(java.lang.String value)

      Sets the value of the wmOldValueVChar property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmRefTable

          public java.lang.String getWmRefTable()

      Gets the value of the wmRefTable property.
      Returns:
        possible object is `String`

    - #### setWmRefTable

          public void setWmRefTable(java.lang.String value)

      Sets the value of the wmRefTable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmRefField

          public java.lang.String getWmRefField()

      Gets the value of the wmRefField property.
      Returns:
        possible object is `String`

    - #### setWmRefField

          public void setWmRefField(java.lang.String value)

      Sets the value of the wmRefField property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmRefValueInt

          public int getWmRefValueInt()

      Gets the value of the wmRefValueInt property.

    - #### setWmRefValueInt

          public void setWmRefValueInt(int value)

      Sets the value of the wmRefValueInt property.

    - #### isWmRefValueIntIsNull

          public boolean isWmRefValueIntIsNull()

      Gets the value of the wmRefValueIntIsNull property.

    - #### setWmRefValueIntIsNull

          public void setWmRefValueIntIsNull(boolean value)

      Sets the value of the wmRefValueIntIsNull property.

    - #### getWmRefValueVChar

          public java.lang.String getWmRefValueVChar()

      Gets the value of the wmRefValueVChar property.
      Returns:
        possible object is `String`

    - #### setWmRefValueVChar

          public void setWmRefValueVChar(java.lang.String value)

      Sets the value of the wmRefValueVChar property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmRef2Table

          public java.lang.String getWmRef2Table()

      Gets the value of the wmRef2Table property.
      Returns:
        possible object is `String`

    - #### setWmRef2Table

          public void setWmRef2Table(java.lang.String value)

      Sets the value of the wmRef2Table property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmRef2Field

          public java.lang.String getWmRef2Field()

      Gets the value of the wmRef2Field property.
      Returns:
        possible object is `String`

    - #### setWmRef2Field

          public void setWmRef2Field(java.lang.String value)

      Sets the value of the wmRef2Field property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmRef2ValueInt

          public int getWmRef2ValueInt()

      Gets the value of the wmRef2ValueInt property.

    - #### setWmRef2ValueInt

          public void setWmRef2ValueInt(int value)

      Sets the value of the wmRef2ValueInt property.

    - #### isWmRef2ValueIntIsNull

          public boolean isWmRef2ValueIntIsNull()

      Gets the value of the wmRef2ValueIntIsNull property.

    - #### setWmRef2ValueIntIsNull

          public void setWmRef2ValueIntIsNull(boolean value)

      Sets the value of the wmRef2ValueIntIsNull property.

    - #### getWmRef2ValueVChar

          public java.lang.String getWmRef2ValueVChar()

      Gets the value of the wmRef2ValueVChar property.
      Returns:
        possible object is `String`

    - #### setWmRef2ValueVChar

          public void setWmRef2ValueVChar(java.lang.String value)

      Sets the value of the wmRef2ValueVChar property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmTable

          public CfgAuditField withWmTable(java.lang.String value)

    - #### withWmField

          public CfgAuditField withWmField(java.lang.String value)

    - #### withWmNewValueInt

          public CfgAuditField withWmNewValueInt(int value)

    - #### withWmNewValueIntIsNull

          public CfgAuditField withWmNewValueIntIsNull(boolean value)

    - #### withWmOldValueInt

          public CfgAuditField withWmOldValueInt(int value)

    - #### withWmOldValueIntIsNull

          public CfgAuditField withWmOldValueIntIsNull(boolean value)

    - #### withWmOldValueFloat

          public CfgAuditField withWmOldValueFloat(double value)

    - #### withWmOldValueFloatIsNull

          public CfgAuditField withWmOldValueFloatIsNull(boolean value)

    - #### withWmNewValueFloat

          public CfgAuditField withWmNewValueFloat(double value)

    - #### withWmNewValueFloatIsNull

          public CfgAuditField withWmNewValueFloatIsNull(boolean value)

    - #### withWmNewValueDateTime

          public CfgAuditField withWmNewValueDateTime(double value)

    - #### withWmOldValueDateTime

          public CfgAuditField withWmOldValueDateTime(double value)

    - #### withWmNewValueVChar

          public CfgAuditField withWmNewValueVChar(java.lang.String value)

    - #### withWmOldValueVChar

          public CfgAuditField withWmOldValueVChar(java.lang.String value)

    - #### withWmRefTable

          public CfgAuditField withWmRefTable(java.lang.String value)

    - #### withWmRefField

          public CfgAuditField withWmRefField(java.lang.String value)

    - #### withWmRefValueInt

          public CfgAuditField withWmRefValueInt(int value)

    - #### withWmRefValueIntIsNull

          public CfgAuditField withWmRefValueIntIsNull(boolean value)

    - #### withWmRefValueVChar

          public CfgAuditField withWmRefValueVChar(java.lang.String value)

    - #### withWmRef2Table

          public CfgAuditField withWmRef2Table(java.lang.String value)

    - #### withWmRef2Field

          public CfgAuditField withWmRef2Field(java.lang.String value)

    - #### withWmRef2ValueInt

          public CfgAuditField withWmRef2ValueInt(int value)

    - #### withWmRef2ValueIntIsNull

          public CfgAuditField withWmRef2ValueIntIsNull(boolean value)

    - #### withWmRef2ValueVChar

          public CfgAuditField withWmRef2ValueVChar(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.